View Issue Details

IDProjectCategoryView StatusLast Update
07895Bug reports[All Projects] Conditionspublic2015-03-24 15:21
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.05+ 
Target Version2.05+Fixed in Version2.05+ 
Summary07895: Quota are not tested for hidden question (relevance to 1)
DescriptionWe can have some question set by expression manager, even with hidding it. Then we can set quota at this question.

But this don't work : user inside quota goes to the end of survey without out by quota.
If we shown question and set it after with expression : it work
Steps To ReproduceImport first survey (question hidden) and look at quota and test it
Import second survey (question shown) : answer the "hors quota" value (no quota) and click next.
Additional InformationReally don't understand why it work with question shown and not with question hidden.
TagsNo tags attached.
Complete LimeSurvey version number (& build)130531
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-VersionMysql 5
Operating System (Server)debian/linux
Webserver software & versionapache
PHP VersionPHP Version 5.3

Relationships

parent of 09587 closedDenisChenu Development  Quotas do not work if lime is backed by PostgreSQL DB since build 140717 up to the current 15031 

Activities

DenisChenu

DenisChenu

2013-05-31 11:34

developer  

survey_archive_hidden.lsa (3,718 bytes)
DenisChenu

DenisChenu

2013-05-31 11:35

developer  

survey_archive_nothidden.lsa (3,728 bytes)
DenisChenu

DenisChenu

2013-05-31 11:59

developer   ~25432

Last edited: 2013-05-31 12:01

View 2 revisions

Problem is in frontend_helper/checkQuota
// Lets only continue if any of the quota fields is in the posted page
if (isset($_POST['fieldnames']))
....

Then : 3 solutions:
- Add hidden question to POST value
- Test question step and not POST value set
- Remove this test

DenisChenu

DenisChenu

2013-05-31 12:47

developer   ~25436

Testing if (isset($_SESSION['survey_'.$surveyid][$checkfield])) seems OK,

But need some test again with other quota system.
DenisChenu

DenisChenu

2013-06-03 08:35

developer   ~25454

Target version ?
Need option ?
DenisChenu

DenisChenu

2013-06-21 19:46

developer   ~25607

Using "Terminate survey with warning" allow user to modify is answers.

Then : choose to:
Change this string "Terminate survey with warning" to "Terminate survey but allow user to modify gis answers"

Check if $_POST is set if this setting is used
Don't check if not (enforced/real quota).

Some template issue too :
Have to use navigator.pstpl
DenisChenu

DenisChenu

2013-06-22 11:40

developer   ~25613

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12632
DenisChenu

DenisChenu

2013-06-22 11:41

developer   ~25614

Todo for 2.05. Ither thing must be done for 2.05 (and tested)
c_schmitz

c_schmitz

2013-07-08 13:50

administrator   ~25723

2.00+ Build 130708 released.
DenisChenu

DenisChenu

2014-06-27 14:40

developer   ~30245

Fixed in 2.00 but fix emoved in 2.05 ....
DenisChenu

DenisChenu

2014-07-05 17:03

developer   ~30277

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=14318
c_schmitz

c_schmitz

2014-07-23 17:25

administrator   ~30328

2.05+ Build 140717 released

Related Changesets

LimeSurvey: master 720aab24

2013-06-22 09:36:45

DenisChenu

Details Diff
Fixed issue 07895: Quota are not tested for hidden question (relevance to 1)
Fixed issue : Previous button in quota in citronade are not the same.
Dev: Change sentence of quota_action : reflect reality now
Dev: Don't change behaviour for quota_action=='2'
Dev: remove some $_POST var ($fieldname not in actual page)
Dev: this fieldname is needed for EM javascript : put disabled='disabled' inside.
Dev: DON'T do same think for relevance : else eremoved $_POST[$fieldname] : to be fixed
Dev: Same HTML previous button for quota page: todo : add navigator.pstpl (but allow save and clear all must be removed)
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/frontend_helper.php Diff File
mod - application/views/admin/quotas/editquota_view.php Diff File
mod - application/views/admin/quotas/newquota_view.php Diff File
mod - templates/citronade/template.css Diff File

LimeSurvey: master 3a96fb1b

2013-06-22 10:01:37

DenisChenu

Details Diff
Dev: bug 07895 / 720aab24 child : lost one sentence
mod - application/views/admin/quotas/viewquotasrow_view.php Diff File

LimeSurvey: master 53503581

2014-07-05 15:03:12

DenisChenu

Details Diff
Fixed issue 07895: Quota are not tested for hidden question (relevance to 1)
New feature 09066: afterSurveyComplete aren't call from Quota : afterSurveyQuota
Dev: update all function needed for quota system
mod - application/helpers/common_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/frontend_helper.php Diff File

LimeSurvey: master 2bef7def

2014-07-05 15:28:14

DenisChenu

Details Diff
Dev: 09066 child : use autoload_url for quota
mod - application/helpers/frontend_helper.php Diff File

Issue History

Date Modified Username Field Change
2013-05-31 11:34 DenisChenu New Issue
2013-05-31 11:34 DenisChenu File Added: survey_archive_hidden.lsa
2013-05-31 11:35 DenisChenu File Added: survey_archive_nothidden.lsa
2013-05-31 11:35 DenisChenu Summary Quota are not tested with question set by expression => Quota are not tested for hidden question (relevance to 1)
2013-05-31 11:59 DenisChenu Note Added: 25432
2013-05-31 12:01 DenisChenu Note Edited: 25432 View Revisions
2013-05-31 12:47 DenisChenu Note Added: 25436
2013-06-02 23:04 c_schmitz Assigned To => DenisChenu
2013-06-02 23:04 c_schmitz Status new => assigned
2013-06-03 08:35 DenisChenu Note Added: 25454
2013-06-21 19:46 DenisChenu Note Added: 25607
2013-06-21 19:46 DenisChenu Reproducibility have not tried => always
2013-06-21 19:46 DenisChenu Target Version => 2.00+
2013-06-22 11:40 DenisChenu Changeset attached => LimeSurvey master 720aab24
2013-06-22 11:40 DenisChenu Note Added: 25613
2013-06-22 11:40 DenisChenu Resolution open => fixed
2013-06-22 11:41 DenisChenu Note Added: 25614
2013-06-22 11:41 DenisChenu Status assigned => resolved
2013-06-22 11:41 DenisChenu Fixed in Version => 2.00+
2013-06-22 12:05 DenisChenu Changeset attached => LimeSurvey master 3a96fb1b
2013-07-08 13:50 c_schmitz Note Added: 25723
2013-07-08 13:50 c_schmitz Status resolved => closed
2014-06-27 14:40 DenisChenu Note Added: 30245
2014-06-27 14:40 DenisChenu Status closed => feedback
2014-06-27 14:40 DenisChenu Resolution fixed => reopened
2014-06-27 14:41 DenisChenu Product Version 2.00+ => 2.05+
2014-06-27 14:41 DenisChenu Target Version 2.00+ => 2.05+
2014-06-28 11:38 DenisChenu Status feedback => new
2014-06-28 11:39 DenisChenu Status new => assigned
2014-07-05 17:03 DenisChenu Changeset attached => LimeSurvey master 53503581
2014-07-05 17:03 DenisChenu Note Added: 30277
2014-07-05 17:14 DenisChenu Status assigned => resolved
2014-07-05 17:14 DenisChenu Fixed in Version 2.00+ => 2.05+
2014-07-05 17:14 DenisChenu Resolution reopened => fixed
2014-07-05 17:30 DenisChenu Changeset attached => LimeSurvey master 2bef7def
2014-07-23 17:25 c_schmitz Note Added: 30328
2014-07-23 17:25 c_schmitz Status resolved => closed
2015-03-24 15:21 DenisChenu Relationship added parent of 09587